<template>
  <div class="operationLog_box">
    <My-bread
      :list="[
        `${$t('operatManage.operatManage')}`,
        `${$t('operatManage.operationLog')}`,
      ]"
    ></My-bread>
    <el-divider />
    <div class="inquire">
      <div class="herder_box">
        {{ $t("operatManage.operationLogObj.queryRegion") }}
      </div>
      <el-form ref="formData1" :model="form" :inline="true">
        <el-form-item
          :label="$t('operatManage.operationLogObj.resourceName')"
          prop="name"
        >
          <el-input
            v-model="form.name"
            :placeholder="$t('operatManage.operationLogObj.pleaseInput')"
          />
        </el-form-item>

        <el-form-item
          :label="$t('operatManage.operationLogObj.operationType')"
          prop="region"
        >
          <el-select
            v-model="form.region"
            :placeholder="$t('operatManage.operationLogObj.pleaseSelect')"
          >
            <el-option label="全部" value="shanghai" />
            <el-option label="浏览" value="beijing" />
            <el-option label="下载" value="shanghai" />
            <el-option label="调用" value="beijing" />
            <el-option label="收藏" value="shanghai" />
          </el-select>
        </el-form-item>
        <el-form-item :label="$t('operatManage.operationLogObj.operatingTime')">
          <el-col :span="11">
            <el-date-picker
              type="date"
              :placeholder="$t('operatManage.operationLogObj.optionDate')"
              v-model="form.date1"
              style="width: 100%"
            ></el-date-picker>
          </el-col>
          <el-col class="line text-center" :span="2">-</el-col>
          <el-col :span="11">
            <el-time-picker
              :placeholder="$t('operatManage.operationLogObj.selectTime')"
              v-model="form.date2"
              style="width: 100%"
            ></el-time-picker>
          </el-col>
        </el-form-item>
        <el-form-item>
          <el-button @click="onSubmit" icon="el-icon-search">{{
            $t("operatManage.operationLogObj.inquire")
          }}</el-button>
          <el-button icon="el-icon-delete">{{
            $t("operatManage.operationLogObj.empty")
          }}</el-button>
        </el-form-item>
      </el-form>
    </div>
    <div class="table_box">
      <el-table :data="tableData" stripe style="width: 100%">
        <!-- <el-table-column type="selection" width="55" /> -->
        <el-table-column
          :label="$t('operatManage.operationLogObj.num')"
          type="index"
          width="80"
        >
        </el-table-column>
        <!-- <el-table-column prop="Accessnumber" label="访问编号" /> -->
        <el-table-column
          align="center"
          prop="modular"
          :label="$t('operatManage.operationLogObj.operationModule')"
        />
        <el-table-column
          align="center"
          prop="url"
          :label="$t('operatManage.operationLogObj.url')"
        />

        <!-- <el-table-column prop="loginaddress" label="登录地点" /> -->
        <el-table-column
          align="center"
          prop="clazz"
          :label="$t('operatManage.operationLogObj.className')"
        />
        <el-table-column
          align="center"
          :formatter="formatType"
          prop="type"
          :label="$t('operatManage.operationLogObj.operationType')"
        />
        <el-table-column
          align="center"
          prop="userid"
          :label="$t('operatManage.operationLogObj.username')"
        />
        <el-table-column
          prop="ip"
          :label="$t('operatManage.operationLogObj.IP')"
        />

        <el-table-column
          align="center"
          prop="optime"
          :formatter="formatData"
          :label="$t('operatManage.operationLogObj.operatingTime')"
        />
        <el-table-column
          align="center"
          prop="bak"
          :label="$t('operatManage.operationLogObj.bak')"
        />

        <!-- <el-table-column fixed="right" label="操作" width="100">
          <template #default>

            <el-button type="primary" size="small">删除</el-button>
          </template>
        </el-table-column> -->
      </el-table>
      <div style="margin-top: 40px" class="pagination_box">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="listData.pageIndex"
          :page-sizes="[10, 20, 30, 40]"
          :page-size="listData.pageSize"
          layout="total, sizes, prev, pager, next, jumper"
          :total="count"
        >
        </el-pagination>
      </div>
    </div>
  </div>
</template>

<script>
import MyBread from "../../components/MyBread.vue";
import { operateSelectByPageAndCount } from "../../api/api";
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    MyBread,
  },

  data() {
    return {
      currentPage4: 1,
      form: {
        name: "",
        region: "",
        jurisdiction: "",
      },
      tableData: [],
      listData: {
        pageIndex: 1,
        pageSize: 10,
      },
      count: 0,
    };
  },
  methods: {
    //格式化时间
    add0(m) {
      return m < 10 ? "0" + m : m;
    },
    //格式化时间
    format(shijianchuo) {
      //shijianchuo是整数，否则要parseInt转换
      var time = new Date(shijianchuo);
      var y = time.getFullYear();
      var m = time.getMonth() + 1;
      var d = time.getDate();
      var h = time.getHours();
      var mm = time.getMinutes();
      var s = time.getSeconds();
      return (
        y + "-" + this.add0(m) + "-" + this.add0(d)
        // " " +
        // this.add0(h) +
        // ":" +
        // this.add0(mm) +
        // ":" +
        // this.add0(s)
      );
    },
    //格式化列表
    formatData(row, column) {
      let data = row[column.property];
      if (data == null) {
        return data;
      }
      return this.format(data);
    },
    //格式化类别
    formatType(row, column) {
      let data;
      switch (row[column.property]) {
        case 0:
          data = "其它";
          break;
        case 1:
          data = "查看";
          break;
        case 2:
          data = "新增";
          break;
        case 3:
          data = "修改";
          break;
        case 4:
          data = "删除";
          break;
        case 5:
          data = "上传";
          break;
        case 6:
          data = "下载";
          break;
      }
      return data;
    },
    handleSizeChange(val) {
      this.listData.pageSize = val;
      this.getList();
    },
    handleCurrentChange(val) {
      this.listData.pageIndex = val;
      this.getList();
    },
    onSubmit() {
      console.log("submit!");
    },
    async getList() {
      const data = await operateSelectByPageAndCount(this.listData);
      console.log(data);
      if (data.code != 200) {
        this.$message.error("列表调用失败");
      }
      this.tableData = data.result;
      this.count = data.count;
    },
  },
  created() {
    this.getList();
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.operationLog_box {
  background: rgb(240, 242, 245);
  border-radius: 10px;
  height: 100%;
  padding: 10px;
  box-sizing: border-box;
  .inquire {
    padding: 10px;
    margin-top: 20px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
    margin-bottom: 20px;
    .herder_box {
      padding: 10px;
      border-bottom: 1px solid #ccc;
      margin-bottom: 20px;
      font-size: 14px;
    }
  }
  .table_box {
    padding: 10px;
    background: #fff;
    border-radius: 5px;
    border: 1px solid rgb(202, 201, 204);
  }
  .text-center {
    text-align: center;
  }
}
</style>
